import { WeaTools } from 'ecCom';

const getHrSyncSettingsForm = params => {
  return WeaTools.callApi('/api/integration/hrsync/getHrSyncSettingsForm', 'POST', params);
};
const getHrSyncSettingsRightMenu = params => {
  return WeaTools.callApi('/api/integration/hrsync/getHrSyncSettingsRightMenu', 'POST', params);
};
const getHrSyncSettingsOperation = params => {
  return WeaTools.callApi('/api/integration/hrsync/getHrSyncSettingsOperation', 'POST', params, 'json', true);
}
const getHrSyncDataSyncForm = params => {
  return WeaTools.callApi('/api/integration/hrsync/getHrSyncDataSyncForm', 'POST', params);
}

const getHrSyncDataSyncRightMenu = params => {
  return WeaTools.callApi('/api/integration/hrsync/getHrSyncDataSyncRightMenu', 'POST', params);
}

const getHrSyncDataSyncOperation = params => {
  return WeaTools.callApi('/api/integration/hrsync/getHrSyncDataSyncOperation', 'POST', params);
}

const getHrSyncSettingsImportForm = params => {
  return "";// WeaTools.callApi('/api/integration/hrsync/getHrSyncSettingsImportForm', 'POST', params);

}

// 日志高级搜索
const getListConditions = params => {
  return WeaTools.callApi('/api/integration/hrsync/getListConditions', 'POST', params);
}

// 日志列表
const getLogList = params => {
  return WeaTools.callApi('/api/integration/hrsync/getLogList', 'POST', params);
}
 
// 详情页列表
const getLogDetailList = params => {
  return WeaTools.callApi('/api/integration/hrsync/getLogDetailList', 'POST', params);
}

// 详情页高级搜索
const getLogDetailListConditions = params => {
  return WeaTools.callApi('/api/integration/hrsync/getLogDetailListConditions', 'POST', params);
}

// 详情页高级搜索
const getLogTab = params => {
  return WeaTools.callApi('/api/integration/hrsync/getLogTab', 'POST', params);
}

const getRealError = params => {
  return WeaTools.callApi('/api/integration/hrsync/getRealError', 'POST', params);
}



export {
  getHrSyncSettingsForm,
  getHrSyncSettingsRightMenu,
  getHrSyncSettingsOperation,
  getHrSyncDataSyncForm,
  getHrSyncDataSyncRightMenu,
  getHrSyncDataSyncOperation,
  getHrSyncSettingsImportForm,
  getListConditions,
  getLogList,
  getLogDetailListConditions,
  getLogDetailList,
  getLogTab,
  getRealError
}
